#ifndef XMATERIALVERTEXSHADER_H
#define XMATERIALVERTEXSHADER_H

#include "xasset.h"

#include <QString>

class XMaterialVertexShaderProgram;

class XMaterialVertexShader : public XAsset
{
public:
    explicit XMaterialVertexShader();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

private:
    QString mName;
    XMaterialVertexShaderProgram* mProgram;
};

#endif // XMATERIALVERTEXSHADER_H
